Bug 135755 - Crash:right click to Manage Changes List on side bar
Summary: Crash:right click to Manage Changes List on side bar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2020-08-14 11:09 UTC by sawakaze
Modified: 2020-08-17 18:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (100.17 KB, image/png)
2020-08-14 11:10 UTC, sawakaze
Details
bt with debug symbols (3.39 KB, text/plain)
2020-08-14 17:45 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2020-08-14 11:09:33 UTC
Description:
after following steps, libreoffice crashed.
detail is scrennshot(attachement)

Steps to Reproduce:
1. Option > Advanced > "Enable experimental features" switch to ON
--> restart
2. open writer
3. launch Manege Change from side bar
4. select List tab
5. right click by mouse to list
-> crash

Actual Results:
application crash


Expected Results:
not crash


Reproducible: Always


User Profile Reset: Yes



Additional Info:
I confirm this version
Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-13_05:11:15
Calc: threaded

----

I don't confirm this version.
Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS:Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: ja-JP
Calc: threaded

OS: Linux Ubuntu MATE
Comment 1 sawakaze 2020-08-14 11:10:27 UTC
Created attachment 164308 [details]
screenshot
Comment 2 Julien Nabet 2020-08-14 17:45:24 UTC
Created attachment 164318 [details]
bt with debug symbols

Here's a backtrace retrieved on pc Debian x86-64 with master sources updated today
Comment 3 Julien Nabet 2020-08-14 19:31:31 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/100759
Comment 4 Commit Notification 2020-08-14 20:10:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e345575334cdff0eb218c4e4a7b6f6e6d0ab9e5f

tdf#135755: Crash:right click to Manage Changes List on side bar

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2020-08-14 21:07:17 UTC
Concerning 7.0 branch, here's the patch waiting for review:
https://gerrit.libreoffice.org/c/core/+/100707
Comment 6 Commit Notification 2020-08-17 08:37:44 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2aa2eb590de2025cfd2e91de9b139a8c84ce7979

tdf#135755: Crash:right click to Manage Changes List on side bar

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Roman Kuznetsov 2020-08-17 18:00:53 UTC
verified in

Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Vulkan; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL

build from 17 August 2020